Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	High quality TV viewer
Name:      	tvtime
Version:   	1.0.2
Release:   	3
License: 	GNU/GPL
URL:		http://tvtime.sourceforge.net
Group:     	Video  
Source0: 	%{name}-%{version}.tar.gz
Patch0:		tvtime-desktop.patch
Patch1: 	tvtime-1.0.1-gcc4.1.patch
Patch2: 	tvtime-1.0.1-header.patch
Patch3: 	tvtime-1.0.1-fsbadval.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
#Automatically resolved build dependencies
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libXtst-devel
BuildRequires: libXv-devel
BuildRequires: libXxf86vm-devel
BuildRequires: zlib-devel

%description
tvtime is a high quality television application for use with video
capture cards.  tvtime processes the input from a capture card and
displays it on a computer monitor or projector.  Unlike other television
applications, tvtime focuses on high visual quality making it ideal for
videophiles.

%post
ldconfig

%postun
ldconfig

%prep
%setup
%patch1 -p1 -b .gcc
%patch2 -p1 -b .header
%patch3 -p1 -b .fsbadval
%patch0 -p1

%build

%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%find_lang %{name}

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README* data/COPYING* docs/html/
%doc %{_mandir}/man?/*
%doc %{_mandir}/de/man?/*
%doc %{_mandir}/es/man?/*
%config(noreplace) %{_sysconfdir}/tvtime/
%{_bindir}/tvtime-command
%{_bindir}/tvtime-configure
%{_bindir}/tvtime-scanner
%{_datadir}/applications/net-tvtime.desktop
%{_datadir}/icons/hicolor/*/apps/tvtime.png
%{_datadir}/pixmaps/*
%{_datadir}/tvtime/

%defattr(4775, root, root, 0755)
%{_bindir}/tvtime

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Nov 22 2008 Christian Metzen <metzench@ccux-linux.de> 1.0.2-3
- rebuild against gcc-4.3.1
* Mon Feb 20 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.2-2
- Fixed Desktop Icon
* Mon Feb 20 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.2-1
- Initial Release